org.eclipse.mat.parser.index

## Interface IIndexReader.IOne2OneIndex

All Superinterfaces:
  IIndexReader

All Known Subinterfaces:
  IIndexReader.IOne2SizeIndex

All Known Implementing Classes:
  IndexReader.IntIndexReader, IndexReader.SizeIndexReader, IndexWriter.IntIndexCollector

Enclosing interface:
  IIndexReader

    public static interface IIndexReader.IOne2OneIndex
    extends IIndexReader

Index from object id to another int. For example, object id to type id.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.mat.parser.index.IIndexReader

`IIndexReader.IOne2LongIndex, IIndexReader.IOne2ManyIndex, IIndexReader.IOne2ManyObjectsIndex, IIndexReader.IOne2OneIndex, IIndexReader.IOne2SizeIndex`

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `get(int index)`
`int[]` `getAll(int[] index)`
`int[]` `getNext(int index, int length)`

### Methods inherited from interface org.eclipse.mat.parser.index.IIndexReader

`close, delete, size, unload`

### Method Detail

#### get

    int get(int index)

#### getAll

    int[] getAll(int[] index)

#### getNext

    int[] getNext(int index,
                  int length)